Subject: Re: bug#23124: Two minibuffer resize related bugs

From: Eli Zaretskii <[email-masked]>
Date: Sun, 27 Mar 2016 20:27:28 +0300

> Date: Sun, 27 Mar 2016 17:34:12 +0200
> From: martin rudalics <[email-masked]>
> 
> (1) Save the attached foo.el file somewhere and make its first line match
>      the location where you stored it.
> 
> (2) Start Emacs with the options -Q and -l to load foo.el.
> 
> (3) Type C-x 5 2.
> 
> (4) Go back to the initial frame, move to the end of the last non-empty
>      line after ";; (bar)" and type C-x C-e.
> 
> At this moment "nothing" happens here (Bug#1).  When I now switch (via
> Alt TAB) to the new frame (the one created via C-x 5 2), the message
> appears there.  When I now type C-p in the new frame, the minibuffer
> window shrinks back but the space previously occupied by the modeline of
> the window above is not redrawn, hence I get two modelines above each
> other (Bug#2).

Let's start with a much simpler reproducer:

  . emacs -Q
  . Type "C-x" and wait until you see "C-x-" in the echo area
  . Type "5 2"

Result: a new frame is displayed, with both frames showing the
"C-x 5 2" echo, which already sounds like a bug (only one frame should
show it).

Now type "C-p" -- only one of the two echo messages will disappear,
the one in the non-selected window stays put.

This didn't happen in Emacs 24.5, where the "C-x 5 2" echo is first
cleared, and then redisplayed after the new frame is created.

According to my testing, this problem appeared between Aug 31 and Sep
30 last year.